<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS"
        crossorigin="anonymous">
    <title>Introduction - Grid</title>
    <style>
        article {
            height: 30px;
        }

        .red {
            background-color: red;
        }

        .green {
            background-color: green;
        }

        .blue {
            background-color: blue;
        }

        .yellow {
            background-color: yellow;
        }
    </style>
</head>

<body>

    <!-- container-fluid : un container qui prend toute la largeur de l'élément dans lequel on le met
    container:  un container qui prend la taille qu'on lui définit dans le css -->
    <div class="container-fluid">
        <!-- Définit une ligne de 12 case dans l'élément où on se trouve
        On peut rajouter une classe no-gutters pour que les éléments col n'aient
        pas de padding -->
        <div class="row">
            <!-- On indique ensuite avec les classes bootstrap la 
            largeur (le nombre de case de la row) que prendront chaque
            élément.
            les classes sont col col-sm col-md col-lg et col-xl suivi
            d'un -1 à -12 selon la taille de l'écran ciblé.
            Les tailles s'applique jusqu'à être contredite par une autre. exemple : si je fais "col-3 col-lg4", l'élément fera
            3 cases pour le col, le col-sm, le col-md puis 4 cases pour le 
            col-lg et le col-xl 
            On peut utiliser les classes offset (qui fonctionnent comme les
            col) pour décaler un élément d'un certain nombre de cases -->
            <div class="col-12 col-sm-3 offset-1">
                <article class="red">Article 1</article>
            </div>
            <div class="col-12 col-sm-3 offset-1">
                <article class="green">Article 2</article>
            </div>
            <div class="col-12 col-sm-3 offset-1">
                <article class="blue">Article 3</article>
            </div>
        </div>
    </div>

    <!-- <div class="container-fluid">
        <div class="row">
            <div class="col-lg-3 col-md-4 col-sm-6 col-12">
                <article class="red"></article>
            </div>
            <div class="col-lg-3 col-md-4 col-sm-6 col-12">
                <article class="green"></article>
            </div>
            <div class="col-lg-3 col-md-4 col-sm-6 col-12">
                <article class="blue"></article>
            </div>
            <div class="col-lg-3 col-md-4 col-sm-6 col-12">
                <article class="yellow"></article>
            </div>
        </div>
    </div> -->

    <!-- <div class="container-fluid">
        <div class="row">
            <div class="col-6 col-md-12">
                <article class="red"></article>
            </div>
            <div class="col-3 col-sm-1 col-lg-6">
                <article class="green"></article>
            </div>
        </div>
    </div> -->

    <!-- Exercice :
    1 . Faire 4 blocks qui sur un écran large prennent tous 3 cases
    sur un écran médium prennent tous 4 cases
    sur un écran small prennent tous 6 cases
    et sur un écran tout petit font 12 cases
    
    2. Faire un élément qui prendra 6 cases sur un tout petit écran et 
    en prendra 12 à partir d'un écran medium
    A coté, faire un élément qui prendra 3 cases sur un tout petit écran
    puis 1 cases sur un écran small et medium et 6 cases à partir d'un large

    
    -->
</body>

</html>